import request from '@/utils/request'

// 查询内资补充信息列表
export function listSupplement(query) {
  return request({
    url: '/basicData/xcrDomesticCapitalSupplement/findByPage',
    method: 'get',
    params: query
  })
}

// 查询内资补充信息详细
export function getSupplement(xhCodeId) {
  return request({
    url: '/basicData/xcrDomesticCapitalSupplement/' + xhCodeId,
    method: 'get'
  })
}

// 新增内资补充信息
export function addSupplement(data) {
  return request({
    url: '/basicData/xcrDomesticCapitalSupplement',
    method: 'post',
    data: data
  })
}

// 修改内资补充信息
export function updateSupplement(data) {
  return request({
    url: '/basicData/xcrDomesticCapitalSupplement',
    method: 'put',
    data: data
  })
}

// 删除内资补充信息
export function delSupplement(xhCodeId) {
  return request({
    url: '/basicData/xcrDomesticCapitalSupplement/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delSupplementBatch(ids) {
  return request.post('/basicData/xcrDomesticCapitalSupplement/delete',ids)
}
